function y = mymean(x)
% mymean Average or mean value.
% For vectors, mymean(x) returns the
%mean value. For matrices, mymean(x)
% is a row vector containing the mean
% value of each column.
[m,n] = size(x);
if m == 1
   m = n;
end
y = sum(x)/m;
