% example of solving an initial value ODE using an anonymous function
% dy/dx = x+y , y(0) =1, has an analytical solution:
% y=2e^x -x -1
%
xstart =0;
xfinal =7;
xrange=xstart:.2: xfinal;
y0=1;
dydx=@(x,y) x+y;
[x,y]=ode45(dydx,xrange,[y0]);
ya= 2*exp(xrange)-xrange-1;
plot(x,y,'r',x,ya,'+');

